package com.hna.ice.server.router;

import com.hna.ice.servant.core.MyPermissionsVerifierI;
import com.hna.ice.servant.core.MySSLPermissionsVerifierI;
import com.hna.ice.servant.core.MySSLSessionManagerI;
import com.hna.ice.servant.core.MySessionManagerI;
import com.hna.ice.servant.router.CallbackI;

public class Server extends Ice.Application {
	public int run(String[] args) {
		if (args.length > 0) {
			System.err.println(appName() + ": too many arguments");
			return 1;
		}
		adapter.add(new MyPermissionsVerifierI(), communicator().stringToIdentity("PermissionsVerifier"));
		adapter.activate();
		System.out.println(appName() + " Server start!");
		communicator().waitForShutdown();
		return 0;
	}

	public static void main(String[] args) {
		Server app = new Server();
		int status = app.main("Server", args, "config.server");
		System.exit(status);
	}
}
